<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of POSH (Portaneo Open Source Homepage) http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# POSH Admin - get widgets informations (for modification)
#
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
# ***************************************

$folder     = "";
$not_access = 1;
$isScript   = true;
$isPortal   = false;
$granted    = "A";
$pagename="api/xml_getmodduleidtypo3.php";
//includes
require_once("includes_api.php");
require_once('../includes/xml.inc.php');

$file = new xmlFile();

$file->header("t3id");
$t3ModId = isset($_GET["t3"])?$_GET["t3"]:0;

// Get module id
if($t3ModId > 0 ) {
	$DB->getResults($module_getModIdByT3ModId,$DB->quote('%index.php?id='.$t3ModId.'&w=%'));
	if ($DB->nbResults() != 0)
	{
		$row=$DB->fetch(0);
		echo "<itemid>".$row["id"]."</itemid>";
	}
	$DB->freeResults();
}
$file->footer();
?>